# $Id: convmv.spec 4661 2006-08-15 16:21:24Z dries $
# Authority: dries
# Upstream: Björn JACKE <bj$sarnet,de>

Summary: Convert filenames to a different encoding
Name: convmv
Version: 1.10
Release: 1.rf
License: GPL
Group: Applications/Utilities
URL: http://j3e.de/linux/convmv/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://j3e.de/linux/convmv/convmv-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Buildarch: noarch
BuildRequires: perl
Requires: perl

%description
convmv converts filenames (not file content), directories, and even whole 
filesystems to a different encoding. This comes in very handy if, for example, 
one switches from an 8-bit locale to an UTF-8 locale or changes charsets on 
Samba servers. It has some smart features: it automagically recognises if a 
file is already UTF-8 encoded (thus partly converted filesystems can be fully 
moved to UTF-8) and it also takes care of symlinks. Additionally, it is able 
to convert from normalization form C (UTF-8 NFC) to NFD and vice-versa. This 
is important for interoperability with Mac OS X, for example, which uses NFD, 
while Linux and most other Unixes use NFC. Though it's primary written to 
convert from/to UTF-8 it can also be used with almost any other charset 
encoding. Convmv can also be used for case conversion from upper to lower case 
and vice versa with virtually any charset. Note that this is a command line 
tool which requires at least Perl version 5.8.0.

%prep
%setup

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot} PREFIX=%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes CREDITS TODO
%doc %{_mandir}/man1/convmv*
%{_bindir}/convmv

%changelog
* Tue Aug 15 2006 Dries Verachtert <dries@ulyssis.org> - 1.10-1 - 4661/dries
- Initial package.
